# Copyright (C) 2000 Peter Watkins
# Licensed under the GNU General Public License

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package Bastille::TMPDIR;

use Bastille::API;
@ENV="";
undef(%ENV);
$ENV{PATH}="";
$ENV{CDPATH}=".";
$ENV{BASH_ENV}="";

&InstallScript;

sub InstallScript {
	# For Bourne/BASH/etc., put a .sh script in /etc/profile.d
	my $final_bash_script = "/etc/profile.d/bastille-tmpdir.sh";
	my $virgin_bash_script = "/bastille-tmpdir.sh";

	if ($GLOBAL_CONFIG{"TMPDIR"}{"set-TMPDIR"} eq 'Y' ) {
		# Bourne/BASH
		unless ( -e $GLOBAL_PREFIX . $final_bash_script ) {
			&B_place($virgin_bash_script,$final_bash_script);
			&B_chmod(0755,$final_bash_script);
    		}
		# CSH/TCSH ...
	} else {
		# remove the TMPDIR script
		# Bourne/BASH
		if ( -e $GLOBAL_PREFIX . $final_bash_script ) {
			&B_delete_file($final_bash_script);
    		}
		# CSH/TCSH ...
	}
}

1;

